Imports Krystalware.SlickUpload
Imports Krystalware.SlickUpload.Status

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub uploadButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles uploadButton.Click
        uploadResultsPanel.Visible = True

        Dim status As UploadStatus = HttpUploadModule.GetUploadStatus()

        If Not status Is Nothing Then
            If status.Reason = UploadTerminationReason.NotTerminated Then
                resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:"

                resultsRepeater.DataSource = status.GetUploadedFiles()
                resultsRepeater.DataBind()
            Else
                If status.Reason = UploadTerminationReason.Disconnected Then
                    resultsMessage.InnerText = "Upload was cancelled."
                Else
                    resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + status.Reason.ToString() + "<br />Message:" + _
                    status.ErrorMessage
                End If
                resultsMessage.Style("color") = "red"
            End If
        End If
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        filesRepeater.DataSource = RepositoryFile.GetAll()
        filesRepeater.DataBind()
    End Sub
End Class
